Subject: 27.0; Unclear NEWS item: pointer instead of integer

From: Drew Adams <[email-masked]>
Date: Thu, 21 Dec 2017 13:58:22 -0800 (PST)

I don't understand this item at all.  It seems to be the wording that is
a problem, starting with the second line.

** Emacs now normally uses a pointer type instead of an integer type
for the fundamental word in the Emacs Lisp interpreter, to help
catch typos and support -fcheck-pointer-bounds.  The 'configure'
option --enable-check-lisp-object-type is therefore no longer as
useful and so is no longer enabled by default in developer builds,
to reduce differences between developer and production builds.

In GNU Emacs 27.0.50 (build 4, x86_64-w64-mingw32)
 of 2017-12-21
Repository revision: b1cf262a79463f28164ea1c2ffee3c657ce02ea4
Windowing system distributor `Microsoft Corp.', version 6.1.7601
Configured using:
 `configure --without-dbus --host=x86_64-w64-mingw32
 --without-compress-install -C 'CFLAGS=-O2 -static -g3'
 host_alias=x86_64-w64-mingw32 PKG_CONFIG_PATH=/mingw64/lib/pkgconfig'